* { margin:0; padding:0; } /* to remove the top and left whitespace */

html, body { width:100%; height:100%; } /* just to be sure these are full screen*/
html{ font-family: sans-serif; }


.yandex {
  display:block;
  width: 100vw;
  height: 100vh;
}

.ymaps-2-1-59-map-copyrights-promo,
.ymaps-2-1-59-copyright,
.ymaps-2-1-59-controls__control,
.ymaps-2-1-59-controls__control_toolbar{
  display: none!important;
}

//Важные файлы
.overlay {
  display: block;
  position: fixed;
  overflow-y: scroll;
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
  z-index: 10;
  background: rgba(255, 255, 255, 0.5);
  .search {
    input {
      display: block;
      width: 100%%;
      margin: 2rem auto;
      max-width: 400px;
      //margin: 20px;

      height: 40px;

      padding: 0 10px;

      background: #fff;

      box-shadow: -2px 4px 14px rgba(0, 0, 0, 0.24);

      border-radius: 5px;

      border: none;
    }
  }

  .items {
    .group {

      width: 100%;

      margin-bottom: 20px;
      .name {
        display: block;

        text-align: center;
        font-weight: bold;

        font-size: 40px;

        cursor: pointer;

        padding: 0 10px;

        background: #fff;

        box-shadow: -2px 4px 14px rgba(0, 0, 0, 0.24);

        border-radius: 5px;

        .transition-momentum();
      }

      &.active {
        .name {
          background: transparent;

          box-shadow: -2px 4px 14px rgba(0, 0, 0, 0);
        }
      }


      .list {
        display: -ms-flexbox;
        display: -webkit-flex;
        display: flex;
        -webkit-flex-direction: row;
        -ms-flex-direction: row;
        flex-direction: row;
        -webkit-flex-wrap: wrap;
        -ms-flex-wrap: wrap;
        flex-wrap: wrap;
        -webkit-justify-content: center;
        -ms-flex-pack: center;
        justify-content: center;
        -webkit-align-content: center;
        -ms-flex-line-pack: center;
        align-content: center;
        -webkit-align-items: flex-start;
        -ms-flex-align: start;
        align-items: flex-start;

        width: 100%;
        height: auto;
        overflow: hidden;
        &.hide {
          height: 0;
        }
        .item {

          max-width: 400px;
          width: 25%;

          margin: 20px;

          padding: 0 10px;

          background: #fff;

          box-shadow: -2px 4px 14px rgba(0, 0, 0, 0.24);

          border-radius: 5px;

          box-sizing: border-box;

          .clearfix();


          cursor: pointer;

          .transition-momentum();

          &.active {
            background: #bfffd4;
          }
          .num {

            display: -ms-flexbox;
            display: -webkit-flex;
            display: flex;
            -webkit-flex-direction: row;
            -ms-flex-direction: row;
            flex-direction: row;
            -webkit-flex-wrap: wrap;
            -ms-flex-wrap: wrap;
            flex-wrap: wrap;
            -webkit-justify-content: center;
            -ms-flex-pack: center;
            justify-content: center;
            -webkit-align-content: stretch;
            -ms-flex-line-pack: stretch;
            align-content: stretch;
            -webkit-align-items: center;
            -ms-flex-align: center;
            align-items: center;

            float: left;

            margin-right: 20px;


            font-weight: bold;

            font-size: 40px;
            height: 50px;

          }

          .route {

            display: -ms-flexbox;
            display: -webkit-flex;
            display: flex;
            -webkit-flex-direction: row;
            -ms-flex-direction: row;
            flex-direction: row;
            -webkit-flex-wrap: wrap;
            -ms-flex-wrap: wrap;
            flex-wrap: wrap;
            -webkit-justify-content: center;
            -ms-flex-pack: center;
            justify-content: center;
            -webkit-align-content: center;
            -ms-flex-line-pack: center;
            align-content: center;
            -webkit-align-items: center;
            -ms-flex-align: center;
            align-items: center;



            height: 50px;

            span {
              display: block;
              width: 100%;

              font-size: 13px;
              &.f {

              }

              &.t {

              }
            }

          }
        }
      }
    }
  }
}

.transition() {
  -webkit-transition: all .3s ease-out;
  -moz-transition: all .3s ease-out;
  -o-transition: all .3s ease-out;
  transition: all .3s ease-out;
}

.transition-momentum() {
  -webkit-transition: all .15s ease-out;
  -moz-transition: all .15s ease-out;
  -o-transition: all .15s ease-out;
  transition: all .15s ease-out;
}


.transition(@rule) {
  -webkit-transition: @rule .3s ease-out;
  -moz-transition: @rule .3s ease-out;
  -o-transition: @rule .3s ease-out;
  transition: @rule .3s ease-out;
}

.clearfix (){
  zoom:1;
  &:before, &:after{ content:""; display:table; }
  &:after{ clear: both; }
}

.wrap-between(){
  display: -ms-flexbox;
  display: -webkit-flex;
  display: flex;
  -webkit-flex-direction: row;
  -ms-flex-direction: row;
  flex-direction: row;
  -webkit-flex-wrap: wrap;
  -ms-flex-wrap: wrap;
  flex-wrap: wrap;
  -webkit-justify-content: space-between;
  -ms-flex-pack: justify;
  justify-content: space-between;
  -webkit-align-content: stretch;
  -ms-flex-line-pack: stretch;
  align-content: stretch;
  -webkit-align-items: flex-start;
  -ms-flex-align: start;
  align-items: flex-start;
}

@media (max-width: 480px){
  .overlay{
    .items{
      .group{
        .list{
          .item{
            width: 100%;
          }
        }
      }
    }
  }
}
